package com.example.mobapp_k_mouse2;

import android.support.v7.app.ActionBarActivity;
import android.support.v7.app.ActionBar;
import android.support.v4.app.Fragment;
import android.support.v4.view.GestureDetectorCompat;
import android.gesture.GestureOverlayView;
import android.os.Bundle;
import android.view.GestureDetector.OnDoubleTapListener;
import android.view.GestureDetector.OnGestureListener;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.os.Build;

public class MainActivity extends ActionBarActivity 
implements OnGestureListener, OnDoubleTapListener {

	private GestureDetectorCompat mDetector; 

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		mDetector = new GestureDetectorCompat(this,this); // context und gesture listener
        mDetector.setOnDoubleTapListener(this);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	@Override
	public boolean onTouchEvent(MotionEvent event){ 
        this.mDetector.onTouchEvent(event);
        // Be sure to call the superclass implementation
        return super.onTouchEvent(event);
	}

    @Override
    public boolean onDown(MotionEvent event) { 
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("down");
        return true;
    }

    @Override
    public boolean onFling(MotionEvent event1, MotionEvent event2, 
        float velocityX, float velocityY) 
    {
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("fling");
        return true;
    }

    @Override
    public void onLongPress(MotionEvent event) {
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("long press");
    }

    @Override
    public boolean onScroll(MotionEvent e1, MotionEvent e2, float distanceX,
            float distanceY) {
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("onscroll");
        return true;
    }

    @Override
    public void onShowPress(MotionEvent event) {
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("showpress");
    }

    @Override
    public boolean onSingleTapUp(MotionEvent event) {
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("singletapup");
        return true;
    }

    @Override
    public boolean onDoubleTap(MotionEvent event) {
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("doubletap");
        return true;
    }

    @Override
    public boolean onDoubleTapEvent(MotionEvent event) {
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("doubletapevent");
        return true;
    }

    @Override
    public boolean onSingleTapConfirmed(MotionEvent event) {
	    	TextView text = (TextView)findViewById(R.id.textView1);
	    	text.setText("singletapconfirmed");
        return true;
    }

}
